package org.betavzw.cdivalidation;

import java.io.IOException;
import java.util.Set;

import javax.inject.Inject;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.validation.ConstraintViolation;
import javax.validation.Validator;
import javax.validation.ValidatorFactory;

import org.apache.jasper.compiler.JspUtil.ValidAttribute;

/**
 * Servlet implementation class StartServlet
 */
@WebServlet("/StartServlet")
public class StartServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
    @Inject InputBean inputbean;
    @Inject Validator validator;
    /**
     * @see HttpServlet#HttpServlet()
     */
    public StartServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) 
			throws ServletException, IOException {
		Set<ConstraintViolation<InputBean>> constraintViolations =  validator.validate(inputbean);
		String output = "";
		if (constraintViolations.size() == 0) {
			String voornaam = inputbean.getVoornaam();
			String achternaam = inputbean.getAchternaam();
			output = String.format("Dag %s %s", voornaam, achternaam);
		} else {
			for(ConstraintViolation<InputBean> violation: constraintViolations) {
				output += violation.getMessage() + "<br />";
			}
		}
		request.setAttribute("output", output);
		request.getRequestDispatcher("index.jsp").forward(request, response);
	}
}
