package org.betavzw.cdievent;

import java.io.Serializable;
import java.math.BigDecimal;

import javax.enterprise.context.SessionScoped;
import javax.enterprise.event.Event;
import javax.inject.Inject;

@SessionScoped
public class BankRekening implements Serializable {

	private static final long serialVersionUID = -3927698797534867345L;

	@Inject
	@OnPositief
	Event<RekeningEvent> OnPositiefEvent;
	
	@Inject
	@OnNegatief
	Event<RekeningEvent> OnNegatiefEvent;
	
	private BigDecimal saldo = new BigDecimal(0);
	public BigDecimal getSaldo() {
		return saldo;
	}
	
	private void setSaldo(BigDecimal saldo){
		this.saldo = saldo;
		RekeningEvent event = new RekeningEvent();
		event.setBedrag(saldo);
		if (saldo.signum() >= 0) {
			OnPositiefEvent.fire(event);
		} else {
			OnNegatiefEvent.fire(event);
		}
	}
	public void storten(BigDecimal bedrag) {
		setSaldo(saldo.add(bedrag));
	}
	
	public void afhalen(BigDecimal bedrag) {
		setSaldo(saldo.subtract(bedrag));
	}
}
