package org.betavzw.cdievent;

import java.math.BigDecimal;
import java.text.DecimalFormat;
import java.text.NumberFormat;
import java.text.ParsePosition;
import java.util.Locale;

import javax.enterprise.context.RequestScoped;
import javax.enterprise.event.Observes;
import javax.inject.Inject;
import javax.inject.Named;
import javax.servlet.http.HttpServletRequest;

@RequestScoped
@Named("inputoutputbean")
public class InputOutputBean {
	@Inject HttpServletRequest request;
	private static DecimalFormat f = (DecimalFormat)NumberFormat.getInstance(Locale.FRANCE);
	static {
		f.setParseBigDecimal(true);		
	}
	public BigDecimal getBedrag() {
		String strBedrag = request.getParameter("bedrag");
		ParsePosition pos = new ParsePosition(0);
		return (BigDecimal) f.parse(strBedrag, pos);
	}
	
	public boolean isStorten() {
		String strButton = request.getParameter("submit");
		return strButton.equals("Storten");
	}
	
	private BigDecimal saldo = new BigDecimal(0);
	
	public void setSaldo(BigDecimal saldo) {
		this.saldo = saldo;
	}
	
	public String getSaldo() {
		return f.format(saldo);
	}
	
	private String klasse = "wit";
	public String getKlasse(){
		return klasse;
	}
	public void OnRekeningPositief(@Observes @OnPositief RekeningEvent event) {
		klasse = "wit";
		saldo = event.getBedrag();
	}
	
	public void OnRekeningNegatief(@Observes @OnNegatief RekeningEvent event) {
		klasse = "rood";
		saldo = event.getBedrag();
	}
	

}
