package org.betavzw.cdijdbcoef;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.HashMap;
import java.util.Map;

import javax.annotation.Resource;
import javax.enterprise.context.RequestScoped;
import javax.sql.DataSource;

@RequestScoped
public class DataAccess {

	@Resource(name="jdbc/__default")
	private DataSource datasource;
	
	public void addProduct(String naam, int aantal) throws SQLException {
		Connection conn  = null;
		try{
			conn = datasource.getConnection();
			PreparedStatement ps = conn.prepareStatement("INSERT INTO gekocht VALUES (?, ?)");
			ps.setString(1, naam);
			ps.setInt(2, aantal);
			ps.executeUpdate();
		}finally{
			if (conn != null) conn.close();
		}
	}
	public Map<String, Integer> getProducten() throws SQLException {
		Map<String, Integer> producten = new HashMap<String, Integer>();
		Connection conn = null;
		try{
			conn = datasource.getConnection();
			Statement st = conn.createStatement();
			ResultSet rs = st.executeQuery("SELECT naam, aantal FROM gekocht");
			while (rs.next()) {
				String naam = rs.getString(1);
				Integer aantal = rs.getInt(2);
				producten.put(naam, aantal);
			}
		}finally{
			if (conn != null) conn.close();
		}
		return producten;
	}
}
