package org.betavzw.cdistartoef;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

import javax.enterprise.event.Observes;
import javax.inject.Inject;
import javax.inject.Singleton;

import org.jboss.weld.environment.se.StartMain;
import org.jboss.weld.environment.se.events.ContainerInitialized;

@Singleton
public class Main {

	@Inject
	DatabankConnectie connStrings;

	public static void main(String[] args) {
		new StartMain(args).go();
	}

	public void uitvoeren(@Observes ContainerInitialized event) {
		Connection conn = null;
		try {
			Class.forName(connStrings.getDriverclass());
			conn = DriverManager.getConnection(
					connStrings.getConnectionstring(),
					connStrings.getUsername(), 
					connStrings.getPassword());
			Statement statement = conn.createStatement();
			ResultSet rs = statement.executeQuery("SELECT * FROM cursist");
			while(rs.next()) {
				System.out.println(rs.getString(1) + ": " + rs.getString(2));
			}
		} catch (SQLException e) {
			e.printStackTrace();
		} catch (ClassNotFoundException e) {
			e.printStackTrace();
		} finally{
			if (conn != null){
				try {
					conn.close();
				} catch (SQLException e) {
					e.printStackTrace();
				}
			}
		}

	}

}
